use super::schema::captchas;
use beteran_common_rust as bcr;

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "captchas"]
pub struct Captcha {
  ///
  pub id: uuid::Uuid,
  ///
  pub security_code: String,
  ///
  pub expires_at: i64,
  ///
  pub created_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "captchas"]
pub struct NewCaptcha {
  ///
  pub security_code: String,
  ///
  pub expires_at: i64,
}

///
#[derive(Debug, Clone)]
pub struct FindAll {
  ///
  pub expires_at: Option<i64>,
  ///
  pub pagination: Option<bcr::models::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::models::pagination::Sort>>,
}
