//!
//!

///
#[derive(Eq, Hash, Debug, Clone, Copy, PartialEq, diesel_derive_enum::DbEnum)]
pub enum MemberState {
  Normal,
  Pending,
  Withdrawal,
  Dormancy,
  Blacklist,
  Suspended,
}

table! {
  use diesel::sql_types::{Uuid, Text, BigInt, Nullable};
  use super::MemberStateMapping;

  ///
  members(id) {
    ///
    id -> Uuid,
    ///
    member_site_id -> Uuid,
    ///
    member_class_id -> Uuid,
    ///
    member_level_id -> Uuid,
    ///
    username -> Text,
    ///
    password -> Text,
    ///
    nickname -> Text,
    ///
    mobile_phone_number -> Nullable<Text>,
    ///
    state -> MemberStateMapping,
    ///
    state_changed_at -> Nullable<BigInt>,
    ///
    referrer_member_id -> Nullable<Uuid>,
    ///
    referred_count -> BigInt,
    ///
    last_signined_ip -> Nullable<Text>,
    ///
    last_signined_at -> Nullable<BigInt>,
    ///
    created_at -> BigInt,
    ///
    updated_at -> BigInt,
    ///
    deleted_at -> Nullable<BigInt>,
  }
}
